var $erea = $("#text_erea");
var writeText = function(text){
    var $ele = $erea.find("p:last");
    // 画面一杯なら消去
    if($ele.size() > 0 && ($erea.height() * 0.8 < $ele.offset().top + $ele.height())){
        $erea.html("");
    } 
    var all_text = $erea.html() + "<p>" + text + "</p>";
    $erea.html(all_text);

}
/* 初期値セット */
Player = {};
Player.stateDraw = function(){
    for (var key in this) {
        if (Player.hasOwnProperty(key)) {
            var value = this[key];
            $("#state_" + key.replace("_" ,"") + " span").text(value);
        }
    }
}
Player.update = function(){
    this.day -= 1;
    this.turnEnd();
}

var player_ary = {
    hp : 100,
    money : 500,
    revo : 25,
    animal : 25 ,
    wife : 1 ,
    children : 1 ,
    energy : 0 ,
    friend : 0 ,
    day : 30
}
Object.keys(player_ary).forEach(function (key){
    Object.defineProperty(Player, key, {
        get: function() {return this["_" + key]},
        set: function(value) {
            this["_" + key] = value;
            Player.stateDraw(); // 値を書き換えたら自動で描画
        }
    });
    eval("Player." + key + " = player_ary." + key);
});

/* */
MessageObj = function(mode , name){
    var obj = {};
    obj.mode = mode;
    obj.name = name;
    obj.player = Player;
    obj.startEvent = function(){}
    obj.endEvent = function(){}
    obj.writeText = writeText;
    return obj;
}